Bug 142329 - [MAINTAINER] update audio/ncmpc to 0.16
Summary: [MAINTAINER] update audio/ncmpc to 0.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-04 23:10 UTC by Henrik Friedrichsen
Modified: 2010-01-25 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.73 KB, patch)
2010-01-04 23:10 UTC, Henrik Friedrichsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Friedrichsen 2010-01-04 23:10:00 UTC
This patch updates ncmpc to 0.16. As of 0.16, ncmpc requires libmpdclient2.

Further changes:

ncmpc 0.16 - (12/25/2009)
* using libmpdclient 2.0 instead of built-in libmpdclient
* require MPD 0.12
* allow multiple queued database updates
* reactivate incremental playlist changes
* optimize "add+play song" with addid/playid
* handle stderr messages from lyrics plugins
* search: eliminate duplicate results
* use the "idle" command to reduce CPU and network usage
* disable the status bar clock by default
* list_window: fix narrow cursor drawing
* screen_play: repaint after the "select-playing" command
* screen_text: start searching at window origin, not bottom
* strfsong: support multiple values for a tag
* screen_browser: different colors for directories and playlists
* screen_browser: display song duration
* screen_queue: move ranges with one single "move" command
* status_bar: fix display_remaining_time while seeking
* status_bar: display elapsed time event when total time is unknown
* charset: added support for zero-width characters
* colors: added support for 256 colors and text attributes
* compatibility fixes for GLib 2.12

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-01-04 23:46:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-01-25 08:44:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-01-25 08:45:23 UTC
miwi        2010-01-25 08:44:59 UTC

  FreeBSD ports repository

  Modified files:
    audio/ncmpc          Makefile distinfo 
  Log:
  - Update to 0.16
  
  PR:             142329
  Submitted by:   Henrik Friedrichsen <hrkfdn@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.18      +13 -9     ports/audio/ncmpc/Makefile
  1.10      +3 -3      ports/audio/ncmpc/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"